Page MenuHomePhabricator

[Fuchsia] Add FUCHSIA_USE_MULTIPLE_DISTRIBUTIONS.
ClosedPublic

Authored by mysterymath on Mar 22 2023, 3:41 PM.

Details

Summary

This flag causes the toolchain distribution to be built using LLVM
CMake's multiple distribution feature. The distribution* family of CMake
targets would be replaced with the toolchain-distribution* family.

This shouldn't otherwise affect the semantics of the build, but it sets
up the ability to split out the LLDB build from the main distribution
used by Fuchsia.

Diff Detail

Event Timeline

mysterymath created this revision.Mar 22 2023, 3:41 PM
Herald added a project: Restricted Project. · View Herald TranscriptMar 22 2023, 3:41 PM
Herald added a subscriber: abrachet. · View Herald Transcript
mysterymath requested review of this revision.Mar 22 2023, 3:41 PM
Herald added a project: Restricted Project. · View Herald TranscriptMar 22 2023, 3:41 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript
phosek added inline comments.Mar 23 2023, 10:58 PM
clang/cmake/caches/Fuchsia-stage2.cmake
3

Could we use multiple distributions unconditionally?

mysterymath marked an inline comment as done.Mar 24 2023, 11:18 AM
mysterymath added inline comments.
clang/cmake/caches/Fuchsia-stage2.cmake
3

Yep, this is just the feature flag mechanism to prevent breaking the build and provide a safe revert. As soon as this and its partner change are stable, I'll yank the flag.

phosek accepted this revision.Mar 24 2023, 2:04 PM

LGTM

This revision is now accepted and ready to land.Mar 24 2023, 2:04 PM
This revision was landed with ongoing or failed builds.Mar 24 2023, 4:05 PM
This revision was automatically updated to reflect the committed changes.
mysterymath marked an inline comment as done.